# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libhid/libhid-0.2.16-r3.ebuild,v 1.4 2012/12/17 20:56:20 ago Exp $

EAPI=4

#inherit autotools flag-o-matic toolchain-funcs
inherit toolchain-funcs flag-o-matic eutils multilib

DESCRIPTION="A multi-platform library for USB and Bluetooth HID-Class devices"
HOMEPAGE="http://www.signal11.us/oss/hidapi/"
SRC_URI="mirror://github/signal11/${PN}/${P}.zip"

LICENSE="BSD GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc"

RDEPEND="virtual/libusb:0"
DEPEND="${RDEPEND}
	doc? ( app-doc/doxygen )
	virtual/pkgconfig"

doecho() {
        echo "$@"
        "$@" || die
}

src_compile() {
	
	# build library
	doecho $(tc-getCC) ${CFLAGS} -I./hidapi $(pkg-config libusb-1.0 --cflags-only-I) \
		${LDFLAGS} -Wl,-soname,lib${PN}.so.${PV:0:1} -fPIC -shared \
		linux/hid-libusb.c $(pkg-config libusb-1.0 libudev --libs) -o lib${PN}.so.${PV:0:1}

	# build command-line tool
	doecho $(tc-getCC) ${CFLAGS} -I./hidapi ${LDFLAGS} $(pkg-config libusb-1.0 --libs) \
		hidtest/hidtest.cpp ./lib${PN}.so.${PV:0:1} -o ./hidtest/hidtest

	if use doc; then
		doxygen doxygen/Doxyfile || die
	fi
}

src_install() {
	dobin hidtest/hidtest
	dolib.so lib${PN}.so.${PV:0:1}
	dosym lib${PN}.so.${PV:0:1} /usr/$(get_libdir)/lib${PN}.so

	insinto /usr/include/${PN}
	doins hidapi/hidapi.h

	dodoc AUTHORS.txt LICENSE.txt LICENSE-bsd.txt LICENSE-gpl3.txt LICENSE-orig.txt README.txt || die
	if use doc; then
		dohtml -r html/* || die
	fi
}
